# Class TransportService.Capabilities

java.lang.Object
com.sun.jdi.connect.spi.TransportService.Capabilities

Enclosing class:
  `TransportService`

public abstract static class TransportService.Capabilities extends Object
The transport service capabilities.

Since:
  1.5

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Capabilities()`
  Constructor for subclasses to call.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract boolean`
  `supportsAcceptTimeout()`
  Tell whether or not this transport service supports a timeout while waiting for a target VM to connect.
  `abstract boolean`
  `supportsAttachTimeout()`
  Tell whether or not this transport service supports a timeout when attaching to a target VM.
  `abstract boolean`
  `supportsHandshakeTimeout()`
  Tells whether or not this transport service supports a timeout when handshaking with the target VM.
  `abstract boolean`
  `supportsMultipleConnections()`
  Tells whether or not this transport service can support multiple concurrent connections to a single address that it is listening on.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Constructor Details

  - ### Capabilities

    public Capabilities()
    Constructor for subclasses to call.

- ## Method Details

  - ### supportsMultipleConnections

    public abstract boolean supportsMultipleConnections()
    Tells whether or not this transport service can support multiple concurrent connections to a single address that it is listening on.
    Returns:
      `true` if, and only if, this transport service supports multiple connections.

  - ### supportsAttachTimeout

    public abstract boolean supportsAttachTimeout()
    Tell whether or not this transport service supports a timeout when attaching to a target VM.
    Returns:
      `true` if, and only if, this transport service supports attaching with a timeout.
    See Also:
      - `TransportService.attach(String,long,long)`

  - ### supportsAcceptTimeout

    public abstract boolean supportsAcceptTimeout()
    Tell whether or not this transport service supports a timeout while waiting for a target VM to connect.
    Returns:
      `true` if, and only if, this transport service supports timeout while waiting for a target VM to connect.
    See Also:
      - `TransportService.accept(TransportService.ListenKey,long,long)`

  - ### supportsHandshakeTimeout

    public abstract boolean supportsHandshakeTimeout()
    Tells whether or not this transport service supports a timeout when handshaking with the target VM.
    Returns:
      `true` if, and only if, this transport service supports a timeout while handshaking with the target VM.
    See Also:
      - `TransportService.attach(String,long,long)`
      - `TransportService.accept(TransportService.ListenKey,long,long)`